package com.qmth.boot.core.ai.config;

import com.qmth.boot.core.constant.CoreConstant;
import com.qmth.boot.core.solar.model.SolarConstants;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotNull;

@Component
@ConfigurationProperties(prefix = CoreConstant.CONFIG_PREFIX + ".llm")
public class LlmProperties {

    /**
     * 默认直接访问solar地址
     */
    @NotNull
    private String server = SolarConstants.DEFAULT_SERVER;

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

}
